
source "azure-arm" "autogenerated_1" {
  azure_tags = {
    dept = "DevOps"
    task = "Wordpress Image deployment"
  }
  image_offer                       = "UbuntuServer"
  image_publisher                   = "Canonical"
  image_sku                         = "16.04-LTS"
  location                          = "East US"
  managed_image_name                = "myPackerImage"
  managed_image_resource_group_name = "myResourceGroup"
  os_type                           = "Linux"
  subscription_id                   = "298ede54-46be-432e-8e63-31b0f5969505"
  tenant_id                         = "190ce420-b157-44ae-bc2f-69563baa5a3b"
  use_azure_cli_auth                = true
  vm_size                           = "Standard_B1s"
}

build {
  sources = ["source.azure-arm.autogenerated_1"]

  provisioner "shell" {
    script = "./deploy_wordpress.sh"
  }

}
